%define upstream_name Frontier-RPC
%define upstream_version 0.07b4p1

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%{upstream_version}
Release:	%mkrel 7
Summary:	%{upstream_name} module for perl
License:	GPL or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source:		http://search.cpan.org/CPAN/authors/id/R/RT/RTFIREFLY/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires:	perl(HTTP::Daemon)
BuildRequires:	perl(XML::Parser)
BuildRequires:	perl(LWP::UserAgent)
BuildArch:	noarch


%description
Frontier::RPC implements UserLand Software's XML RPC (Remote Procedure Calls
using Extensible Markup Language).  Frontier::RPC includes both a client module
for making requests to a server and several server modules for implementing
servers using CGI, Apache, and standalone with HTTP::Daemon.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install
rm -f %{buildroot}%{perl_vendorlib}/MIME/changes.pod

%files
%doc ChangeLog COPYING README
%{perl_vendorlib}/Frontier
%{perl_vendorlib}/Apache
%{_mandir}/*/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.07b4p1-7.mga8
+ Revision: 1504544
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.07b4p1-6.mga7
+ Revision: 1283919
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.07b4p1-5.mga7
+ Revision: 1164420
- rebuild with fixed rpm for missing autodeps

* Thu Sep 28 2017 tv <tv> 0.07b4p1-4.mga7
+ Revision: 1160951
- add BR on perl(HTTP::Daemon)

* Sun Jun 19 2016 pterjan <pterjan> 0.07b4p1-3.mga6
+ Revision: 1027641
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.07b4p1-2.mga6
+ Revision: 968922
- Mageia 6 Mass Rebuild

* Sun Jul 26 2015 sander85 <sander85> 0.07b4p1-1.mga6
+ Revision: 857951
- update to 0.07b4p1

* Wed Oct 15 2014 umeabot <umeabot> 0.07b4-6.mga5
+ Revision: 741911
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.07b4-5.mga5
+ Revision: 684806
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.07b4-4.mga4
+ Revision: 511788
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.07b4-3.mga3
+ Revision: 367513
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 0.07b4-2.mga1
+ Revision: 33785
- mageia rebuild
- imported package perl-Frontier-RPC

